﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RDFMatViewCalculation.Logic
{
    [Serializable]
    public class HierarchyStep
    {
        public string Name { get; set; }
        public string HierarchyName { get; set; }
        public string ChildLevel { get; set; }
        public string ParentLevel { get; set; }
        public string Predicate { get; set; }
        public bool IsForward { get; set; }
        public bool IsOptional { get; set; } //// whether not all data need to have this link - only some professors are head of departments
        public bool IsPartial { get; set; } //// whether not all data are counted by this step - other data may exist - not all people have birth country, some have birth city
    }
}
