﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RDFMatViewCalculation.Logic
{
    [Serializable]
    public class CuboidNode
    {
        public List<HierarchyLevel> NodeParts { get; set; }

        public override string ToString()
        {
            return "CuboidNode: " + string.Join("; ", 
                NodeParts.Select(c => string.Format("Dimension - {0}, Hierarchy - {1}, Level - {2}", c.DimensionName, c.HierarchyName, c.LevelComponent)).ToList());
        }
    }
}
